AccountingAccounts ReceivableRefunds
Apply Transaction to a Refund
POST
Manually apply an existing transaction as payment of a refund.
Scopes: invoice:create
OAuth2ClientCredentialsBearer invoice:createheader
AuthorizationBearer <token>Scope: invoice:create
business_id*Business IdThe id of the business
Format
biz_stringx-user-id?|Optional external entity identifier that performed the action
application/json- body
refund_id*Refund IdThe ID of the refund to apply payment to
Format
rfu_stringtransaction_id*Transaction IdThe ID of the transaction to apply as payment
Format
txn_stringpayment_amount?||The amount to apply as payment. Defaults to the transaction amount.
Successful Response
application/json- response
data*curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/refund-payment' \ -H 'Content-Type: application/json' \ -d '{ "refund_id": "rfu_Lq5AyApd4pdL1VvakpY5aJ", "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ"}'Example Response
{ "data": { "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7", "external_id": "string", "amount": 0, "amount_paid": 0, "currency": "USD", "memo": "string", "processor": "string", "method": "cash", "is_return": false, "refunded_at": "2019-08-24T14:15:22Z", "status": "pending", "id": "rfu_WQMDNUHpBThYSNh4AprDBo", "payments": [ { "amount": 0, "id": "rfp_WQMDNUHpBThYSNh4AprDBo", "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo" } ], "refund_invoices": [ { "external_id": "string", "amount": 0, "memo": "string", "id": "rfi_WQMDNUHpBThYSNh4AprDBo", "invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo", "invoice_line_id": "inl_WQMDNUHpBThYSNh4AprDBo" } ], "tags": { "Job": [ { "amount": "60.00", "value": "Maple Street Remodel" }, { "amount": "40.00", "value": "Downtown Office Rewire" } ] } }}